Starmade | Missiles do no shield damage
Closed, FinishedPublic


Missiles hit a shield, you see the explosion and the missile stops flying. There is no shield damage dealt though.

How to reproduce:

  1. make a target entity and give it shields
  2. shoot it with missiles


Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19309 (Dev)
Issue Type
Control Block System: Weapons
First occurrence (version)
0.19294 (Dev)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 29 2015, 9:14 PM
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Category from none/unspecified to Control Block System: Weapons.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.19294 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19294 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptJun 29 2015, 9:14 PM
lancake edited the task description. (Show Details)Jun 29 2015, 9:15 PM
lancake set Issue Type to Bug.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake changed the task status from "Open" to "In Queue (Game)".
schema changed the task status from "In Queue (Game)" to "Resolved".Jul 2 2015, 7:34 PM
schema added a subscriber: schema.

It does deal shield damage now

lancake closed this task as "Closed".Jul 7 2015, 9:53 PM
lancake changed Last tested (version) from 0.19294 (Dev) to 0.19309 (Dev).
Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptJul 7 2015, 9:53 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 11:25 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".

Add Comment